---
# Define a namespace and suffix if you would like to deploy several clusters (prod/qual/dev)
namespace: snipeit-let
nameSuffix: -prod

# Define how many replicas you want
replicas:
  - name: snipeit-let-web
    count: 1

images:
  - name: snipe/snipe-it:v6.1.1
    # newTag: latest
resources:
  - deployment-snipeit-let.yml
  - service-snipeit-let.yml
  - ingress.yml
  - pvc.yml

  # Add a secret with application variables
  - app-env.json

  # if prepared with SealedSecret as shown in the README
  # - app-env.yml

patchesStrategicMerge:
  # Add/replace some variables depending on your configuration
  - |-
    apiVersion: apps/v1
    kind: Deployment
    metadata:
      name: snipeit-let-web
    spec:
      template:
        spec:
          containers:
            - name: snipeit-let-web
              env:
                - name: APP_ENV
                  value: "production"
                - name: APP_DEBUG
                  value: "false"
                - name: APP_KEY
                  value: "base64:v+rFW5m0a7aoS/hoz1VDNi3K6z4d3mtCGkbL9qd3cqM="
                - name: APP_URL
                  value: "https://snipeit.let.ethz.ch"
                - name: APP_TIMEZONE
                  value: "Europe/Zurich"
                - name: APP_LOCALE
                  value: "en"
                - name: DB_CONNECTION
                  value: "mysql"
                - name: DB_PORT
                  value: "3306"
                - name: MAIL_PORT_587_TCP_ADDR
                  value: "smtp.ethz.ch"
                - name: MAIL_PORT_587_TCP_PORT
                  value: "587"
                - name: MAIL_ENV_FROM_ADDR
                  value: "snipe@snipeit-let.ethz.ch"
                - name: MAIL_ENV_FROM_NAME
                  value: "Snipe-IT"
                - name: MAIL_ENV_ENCRYPTION
                  value: "tls"
                - name: MAIL_ENV_USERNAME
                  value: "snipe@snipeit-let.ethz.ch" 
                - name: MAIL_ENV_PASSWORD
                  value: ""

                # values from app-env.json

                - name: "DB_DATABASE"
                  valueFrom:
                    secretKeyRef:
                      name: snipeit-credentials
                      key: DB_DATABASE
                - name: "DB_PASSWORD"
                  valueFrom:
                    secretKeyRef:
                      name: snipeit-credentials
                      key: DB_PASSWORD
                - name: "DB_USERNAME"
                  valueFrom:
                    secretKeyRef:
                      name: snipeit-credentials
                      key: DB_USERNAME
                - name: "DB_HOST"
                  valueFrom:
                    secretKeyRef:
                      name: snipeit-credentials
                      key: DB_HOST
